Skip to main content
POST
/
api
/
omnichannel
/
threads
/
{threadId}
/
reply
Responder a un thread de email
curl --request POST \
  --url https://api.raul.ugps.io/api/omnichannel/threads/{threadId}/reply \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "body": "<string>",
  "attachments": [
    {
      "name": "<string>",
      "contentType": "<string>",
      "contentBytes": "<string>"
    }
  ],
  "shared_mailbox_id": "<string>"
}
'
import requests

url = "https://api.raul.ugps.io/api/omnichannel/threads/{threadId}/reply"

payload = {
"body": "<string>",
"attachments": [
{
"name": "<string>",
"contentType": "<string>",
"contentBytes": "<string>"
}
],
"shared_mailbox_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
attachments: [{name: '<string>', contentType: '<string>', contentBytes: '<string>'}],
shared_mailbox_id: '<string>'
})
};

fetch('https://api.raul.ugps.io/api/omnichannel/threads/{threadId}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

threadId
string
required

Body

application/json
body
string
required
attachments
object[]
shared_mailbox_id
string

ID de la bandeja compartida para responder desde ella (si aplica)

send_mode
enum<string>

Modo de envío al responder desde bandeja compartida

Available options:
send_as,
on_behalf_of

Response

201 - undefined